Insane Help File Contents Page

TABLE OF CONTENTS

Introduction

Installation
Controls
Rules and Tips
Minimum & Recommended Specifications
3D Graphics Cards
Supported 3D Chipsets and Manufacturer Web Sites
Troubleshooting
Troubleshooting Display Issues
Troubleshooting Other Issues


Supported 3D Chipsets and Manufacturer Web Sites
Below are all the 3D cards supported by INSANE and a link to the
Manufacturer's web-site. This may be helpful in obtaining updated
drivers for your graphics card.

3dfx Voodoo 2, Voodoo Banshee, Voodoo3, Voodoo5
3Dlabs Permedia 3
ATI Rage 128, Radeon
Matrox G200, G400
Nvidia Riva TNT, Riva TNT2, GeForce 256, GeForce 2
S3 Savage 2000

Contents
Back - Minimum & Recommended Specifications
Forward - Troubleshooting Display Issues


CONTROLS

By default, the action in this demo is controlled using the keyboard. If you
want to use a game pad, joystick or steering wheel, make sure you calibrate it
first, using your Operating System's Control Panel.

ACTION--------------- KEYBOARD
Steer Left------------ Cursor left
Steer Right---------- Cursor right
Throttle--------------- Cursor up
Brake / Reverse--- Cursor down
Handbrake----------- Spacebar
Rollover--------------- 'Hold' 0 (Ins) (Num Pad)
Repair----------------- Backspace
Rescue---------------- R
Gear Up--------------- A
Gear Down----------- Z
Differential Lock---- L
Horn------------------- Enter (Num Pad)
Lights----------------- Right Ctrl
Rear View------------ Right Shift

Change Gate-------- Tab
Big Map--------------- Left Alt
Free look------------- Left Shift
Pause------------------ Esc
Mouse Look---------- Mouse (Certain cameras only)

Chat in-game---------- Tilde

In Game Cameras

F1---------------- Driver
F2---------------- Onboard 3
F3---------------- Onboard 1
F4---------------- Onboard 2
F5---------------- Helicopter 1
F6---------------- Helicopter 2
F7---------------- External
F8---------------- 3rd Person
F9---------------- Cycles Camera

NB: By using the Ins, Del, Home, End, Page Up and Page Down keys, you can
customise each camera view.

By pressing Shift in conjunction with F1-F8, you can view the replay cameras.
Contents
Back - Installation
Forward - Rules and tips


Copyright & Royalty-Free License
Copyright

©2000 Jester Interactive and The Codemasters Software Company Limited. ("Codemasters") All Rights Reserved. "Codemasters"® is a registered trademark of Codemasters Limited. For home use only. Unauthorized copying, adaption, rental, lending, re-sale, arcade use, charging for use, broadcast, cable transmission, public performance, distribution or extraction of this product or any trademark or copyright work that forms part of this product are prohibited.

Developed by Jester Interactive. Published by Codemasters. Private and domestic use only.

Royalty-Free License

You are entitled to a world-wide royalty-free license to make, use, sell, distribute and publish any works that you create with Music 2000 or using any audio or video components of Music 2000 provided that any such works are clearly marked on the media or packaging with the above Music 2000 logo and that you have posted to us acknowledgement of your intended use.

This acknowledgement should be in the form of brief details about the works you have created and contact information and should be posted to:

Music 2000 Registration Dept., P.O. Box 6, Leamington Spa, Warwickshire, UK.

This license does not include the right to use any recordings or components of 'Music 2000' in any commercial music or video creation product. No license is granted in respect of the original compositions by Grooverider and Leftfield.

Back - Contents
Forward - Music 2000 Manual - Precautions, Epilepsy Warning and Piracy Notice


Full manual
The main screen layout

At the top left of the screen, you will see the six main menu icons:

Song Track: Create and play songs
Video Track: Create and play videos
Music Jam: Jam with 1-4 players
Load and Save: Load and save songs and information
CD Player: This lets you play audio CDs or record samples from them
Options: Allows you to clear songs / video and get sound / video related options.

At the top centre of the screen is a box telling you details of the song currently being played: its tempo (in beats per minute) both numerically and graphically, current and overall time in hours, minutes and seconds, amount of memory the song takes up and its name. At the top right is the on-screen menu.

Most of the screen is taken up with the song track display. There are 99 channels running vertically. Each channel is 999 bars long (more than enough for even the longest of songs), and is split into boxes. Each box represents a bar of your song. Every four bars there is a light blue box to represent the start of each four-bar section. There are scroll bars on the right hand side and also below the main track display, which show where within the screen you are. Under the track display are numbers displaying the bar number of each bar on the screen. As you may have guessed, time moves horizontally. The start of your song is at the left hand side of the screen, and as your song plays, the song will move to the right.

SONG TRACK SHORTCUTS

F1 - Paste riff
F2 - Delete riff
F3 - Play
F4 - Area selection
F5 - Riff palette
F6 - Riff library
F7 - Song start
F8 - Song end
F9 - Song bottom
F10 - Mixer settings
F11 - Undo
F12 - Help

Online Help

Wherever you are within Music 2000, refer to the shortcut icons on the top right of the screen or right click to display a menu showing you all the options available for the current screen. Move up and down the menu and choose the option you want. If you want more information about any of the options, move down to 'Help' at the bottom of every menu. This will allow you to choose which item you'd like help on.
Click whichever option you want for a full description of what the option does.

If you make a mistake, most menus have an 'Undo' option - selecting this reverses the last action you made. If you then decide that you did want to perform the action, you can select 'Redo' to reverse the 'Undo' option. The Undo shortcut is CTRL + Z and CTRL + Y will Redo.

Volume

Underneath the 99 channels are four more channels, each of which has a specific function. The first is the volume channel. The very first bar here can be used to set the volume for the entire song.
Clicking on this bar will allow you to choose the initial volume (at the start of your song), and the final volume (at the end of your song). This allows you to fade your song up or down. If you just want to alter the volume throughout your song, change the start/end volume.
If you click on any bar other than the first, you will then be asked to select a range of bars, and again you can alter the start and end volumes for your selection. For example, to fade out your song over the last four bars, move to the fourth bar from the end, click and drag the area and when you let go of the mouse button you will be able to change the start and end volume levels in the volume menu.

Reverb

Underneath the volume channel is the reverb channel. Reverb is an effect similar to clapping your hands in a large hall - the sound seems to hang in the air for a while. The first bar allows you to set the reverb setting for the entire song.
You can also change the type of reverb and its depth, delay and feedback rate.
If you want the reverb to alter over a number of bars, click on the first bar, and then move over and click on the last bar of the sequence. You can then set the depth, delay and feedback settings for both the start and end of the sequence, but only in conjunction with 'Note Repeat' in the 'Riff Editor'.

BPM

Underneath the reverb channel is the BPM (beats per minute) channel. This allows you to set the tempo of your song. The first bar allows you to set the tempo for the entire song. If you want a constant tempo, alter the start/end setting. Otherwise, you can get the song to speed up or slow down by changing the start and end tempos.
If you want your song to speed up or slow down over a number of bars, you can select the first bar, select the final bar, and then set the start and end tempos.

Transpose Key

The track at the very bottom is the transpose key track, allowing you to change the key of all the music. Simply select the bar you want to transpose and then choose the key you want.

Most of the standard riffs are in the key of 'C', so a very simple key change is to cycle repeatedly between C, F, G and then C again. If you don't want to alter the default key, choose the icon on the left. You can also specify whether you want the key to be changed into a minor or major key. Select 'None' if you want to leave the minor/major notes as they were by default. Please note that you need to select the key to transpose to before placing the riffs into that bar.

World View

If you go to the menu from the song track screen and choose 'World View' you will be able to see 60 channels on screen at once, as well as 96 bars as opposed to the standard 23. This can be very useful to get an overall view of your entire track, and to see how it is working. To get back to the normal view, go to the menu, and select 'Cancel World View' .

Contents
Back - Tutorial
Forward - Making A Song Using Riffs


Minimum & Recommended Specifications

INSTALLATION

Please make sure all other applications are closed before proceeding. Run
setup.exe to install onto your HD and follow on-screen instructions; the
installation path may be changed.

If you do not have DirectX7 installed, you will be prompted to do so. Don't worry
if you don't know - click 'yes'; DirectX will only upgrade if an older version is
detected.

Once installation is complete, INSANE will place a shortcut on your desktop.
Double-click on this to launch the game (or alternatively via the Windows Start
bar/Programs/Codemasters/Insane demo/Insane demo). This will
start the Insane Demo Launcher - click on 'Play 1NSANE' to start the game.

INSANE will automatically detect your PC configuration and decide optimum
settings for you (graphics, sound etc). You may alter this manually via the
Options menu.

INSANE has been tested with most of the major graphics cards manufacturers,
and should run perfectly on most machines. However, due to the large variety of
machines and configurations available, it is inevitable that a few of you may
encounter problems running INSANE. If this occurs, please make sure you have
the latest drivers for your graphics card, sound card etc. Visit your card
manufacturer's website for further details. Should installation of the latest
drivers not work, please e-mail tech support (see the troubleshooting section of
this readme)
with a detailed description of your problem, and include dxdiag results. (To do
this, click 'Run' from the Start menu, type 'dxdiag' in the prompt box, and
click on 'save all information').

If you find that the 'multiplayer' option is greyed out, you will need to
install IPX network protocol. To do this, right click on 'Network
Neighbourhood', select 'Properties', click on 'Add', double-click on 'Protocol',
select 'Microsoft', and double-click on 'IPX/SPX-compatible
protocol'. Contact your system administrator for further assistance.
Contents
Back - Introduction
Forward - Controls


INTRODUCTION
Insane is an Off-Road driving game the like of which has never been seen or
played before. It blends a groundbreaking physics engine with seven innovative
game modes, producing a unique driving experience. Insane allows players to
compete over widely varying terrain types with the extraordinary range of vehicles,
meaning players have to adapt their driving styles and skills to cope with the
ever increasing Insane challenge.

This demo is a dramatically cut down version of the game, featuring only two
cars and two environments, with very limited durations.
The demo also allows 4-player LAN and Internet play.

Other features available in the full game:
Over 20 'Insane' Off-Road vehicles
Five Vehicle classes - Sports, 4x4, Trucks, Pick-Up and Extreme
Drive systems - Front, Rear, 4WD and AWD
Extensive car set up screens - suspension, tires and steering
Variable game lengths
30 phenomenal free-form environments to explore
Real-time weather with distinctive 'time of day' variations
User-friendly environment generator
Enter the most unique and enjoyable single-player Championship

Introducing 7 unique game modes:
Jamboree
Return the Flag
Gate Hunt
Pathfinder
Destruction Zone
Capture the Flag
Off-Road Race

Challenge your friends across a LAN
Or play online via the Internet using CMN (Codemasters Multiplayer
Network)

For up to 8 players

Ground-breaking vehicle physics model

Fully independent suspension

Varying centre of gravity model, relating to the vehicle's condition

Introducing an innovative real-time damage model

TV style coverage incorporating multiple cameras
Contents
Forward - Installation


Codemasters, Inc. Software License Agreement
IMPORTANT - READ CAREFULLY: THE ACCOMPANYING PROGRAM (WHICH INCLUDES COMPUTER SOFTWARE, THE MEDIA AND RELATED DOCUMENTATION IN PRINTED OR ELECTRONIC FORM) IS LICENSED TO YOU ON THE TERMS SET FORTH BELOW, WHICH CONSTITUTES A LEGAL AGREEMENT BETWEEN YOU AND CODEMASTERS, INC. ("CODEMASTERS"). BY OPENING THIS PACKAGE, AND/OR INSTALLING OR OTHERWISE USING THE PROGRAM, YOU AGREE TO BE LEGALLY BOUND THE TERMS OF THIS AGREEMENT WITH CODEMASTERS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, YOU ARE NOT AUTHORIZED TO USE THE PROGRAM AND YOU SHOULD RETURN THE PROGRAM TO THE VENDOR FROM WHICH YOU OBTAINED THE PROGRAM AND REQUEST A REFUND

This program is protected by copyright laws and international treaties. Unauthorised reproduction of it may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under law. This game is provided 'as is' without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. Some countries/states do not allow the exclusion of implied warranties so this exclusion may not apply to you. Codemasters shall not be liable for any incidental, indirect, consequential, special or punitive damages of any kind or nature, including without limitation lost revenues or profits, lost data or information, or lost business, whether such liability is asserted on the basis of contract or otherwise, even if the other party has been warned of the possibility of any such loss or damage in advance. Because some countries/states do not allow the exclusion or limitation of liability for consequential or incidental damages this limitation may not apply to you. Codemasters' liability in any way connected with the sale or use of, or inability to use, this product shall in no event exceed the price paid by the purchaser for this product.

Contents
Back - Frequently Asked Questions
Forward - Codemasters Technical Support


Copyright & Royalty-Free License

Precautions, Epilepsy Warning and Piracy Notice
Precautions

- Do not touch the surface of the disc when handling, hold it by the edge.
- To keep the disc clean, wipe gently with a soft cloth. Keep the disc scratch free.
- Keep the disc away from extremes of temperature, direct sunlight or exposure to excessive moisture.
- Never use a cracked or warped disc or one that has been repaired using adhesives. This could lead to operating problems.

Epilepsy Warning

Please read before using this product

Some people are susceptible to epileptic seizures or loss of consciousness when exposed to certain flashing lights or light patterns in everyday life.

Such people may have a seizure whilst playing certain video games. This may happen even if the person has no medical history of epilepsy or has never had any epileptic seizures.

If you or anyone in your family has ever had symptoms related to epilepsy (seizures or loss of consciousness) when exposed to flashing lights, consult your doctor prior to using this product.

If you or your child experience any of the following symptoms: dizziness, blurred vision, eye or muscle twitches, loss of consciousness, disorientation, any involuntary movement or convulsion, while playing a video game, immediately discontinue use and consult your doctor.

Precautions to take while using this product:

- Don't sit too close to the monitor. Make sure you are a good distance away.
- Preferably play the product on a small monitor.
- Avoid using if you are tired or have not had much sleep.
- Make sure that the room in which you are playing is well lit.
- Rest for at least 10 to 15 minutes each hour that you play a video game.

Piracy Notice

Copying commercial games, such as this, is copyright infringement and is a criminal offence. So is using copied games, so is possessing copied games. Copying and re-supplying games can lead to a term of imprisonment
Think of a copied game like stolen property

Contents
Back - Copyright & Royalty-Free License
Forward - Installing Music 2000


RULES AND TIPS

GAME MODE RULES

Capture the Flag

Locate, pick up the flag and hold on to it to score points. Avoid contact from
your opponents, using tactical driving to retain possession of the flag. Pass
through the marked gates to score bonus points. Steal the flag from opponents by
smashing into them. The winner is the first to reach 100 points.

Jamboree

Race across the landscape to the active gate, using the quickest, though not
necessarily the most direct route. Smash your opponents out of the way and score
points by passing through the gates first. The winner is the first to reach a
score of 3 gates.
GAMEPLAY ADVICE

When playing the game, the arrow in the middle of the bottom of the screen will
point towards your target. By following this arrow, you will take the most
direct route to your next target - the next gate in Jamboree, or the flag holder
in Capture the Flag. But remember: the shortest distance is not necessarily the
fastest route to the next target - this is one of the things you'll have to
learn about Insane!

You'll also have to master use of the rollover key. Unlike in other games, your
car WILL roll over! To return the vehicle to its correct position, press and
hold the rollover key - 0 Ins (Num Pad). NB: while this key is held down, the
throttle is cut, which causes the vehicle to stop.
Contents
Back - Controls
Forward - Minimum specs


Troubleshooting Display Issues

If you encounter any problems, please ensure that you have the latest drivers
installed for your card. These should be obtained from the card or chipset
manufacturer.

If you increase the settings of your display options and experience decreased
performance and have the latest drivers, we recommend setting your Display
options back to their defaults.

Contents
Back - Supported 3D Chipsets and Manufacturer Web Sites
Forward - Troubleshooting Other Issues


Troubleshooting Other Issues

General issues

Operating Systems

"INSANE" is not currently either Windows 2000 or Windows 95a compliant.

Technical Support contact details:

Email:

English:- custservice@codemasters.com
Espanõl:- atencioncliente@codemasters.com
Italiano:- supportoclienti@codemasters.com
Francais:- serviceclientele@codemasters.com
Deutsch:- kundendienst@codemasters.com
US:- custservice@codemastersusa.com

Or write to:

Customer Services
Codemasters Software
P.O.Box 6
Leamington Spa
Warwickshire
CV47 2SH
UK

WEBSITE INFORMATION

www.codemasters.com/insane

© 2000 The Codemasters Software Company Limited ("Codemasters").
All rights reserved.
Codemasters is a registered trademark of Codemasters. Developed
by Invictus Team.

Swap file - We recommend that the user has at least 250mb
free hard disk space after installation, While Insane should
perform fine with less than 250mb free, in order to gain maximum
performance from this product a larger swap file will be beneficial. Remember:- Close down any applications before running INSANE.

Network Play
In the multiplay mode you may experience some de-sync of the players,
if this happens then we would recommended that the computer be rebooted
N.B. You can change the topology from Peer-to-peer to Client-server
This may improve the quality of game play and may reduce pings.

Direct X
If you try to run the game without DirectX7.0a installed, Insane
may not run correctly. The game will check for your current
version of DirectX during installation.

Contents
Back - Troubleshooting Display Issues


Minimum & Recommended Specifications
Minimum Requirements

Windows 95 (not A), 98
Pentium II 233 CPU
64MB RAM
16 bit DirectX compatible Soundcard
DirectX 7.0 compatible 3D graphics card with 8Mb RAM
4x CD-ROM
100Mb Hard Drive space

Recommended Specification

Windows 95 (not A), 98
Pentium II 500 CPU
128MB RAM
16 bit DirectX compatible Soundcard
DirectX 7.0 compatible 3D graphics card with 32Mb RAM
8x CD-ROM
250Mb Hard Drive space

Supported 3D chipsets

3dfx Voodoo Banshee, Voodoo3, Voodoo5 (Voodoo2 not supported in LAN demo)
3Dlabs Permedia 3
ATI Rage 128
Matrox G200, G400
Nvidia Riva TNT, Riva TNT2, GeForce 256,GeForce 2
S3 Savage 2000

Network / Internet Play Requirements

•Minimum 33.6 kbs speed modem •IPX network •TCP/IP network.
•Any other 100% Microsoft DirectPlay® supported network.

Contents
Back - Rules and tips
Forward - Supported 3D Chipsets and Manufacturer Web Sites


Tutorial
Congratulations and thank you for buying Music 2000. You don't need to try and digest the whole manual now - we suggest that you read through this Tutorial section where you'll find details of the on-line help and the menu system. Together, these features should allow you to navigate through Music 2000 with ease.

Getting Started

Loading and playing a demo song.
Music 2000 comes with several demonstration songs. These give you an example of the diverse range of music you can make, and also allow you to edit, remix and examine tracks written by a number of different musicians. All these songs also contain a full video, which you can edit and examine.

First, a quick guideline - as a general rule the left mouse button carries out actions and the right mouse button brings up help menus. There is also a shortcut menu across the top right of every screen - each icon represents a different action which can be accessed by left clicking or by pressing the respective function key. Pressing Esc takes you back to the previous screen or menu.

Once you have started Music 2000, you will find yourself on the main track screen. The main menu icons across the top left allow you to choose between the different modes. Click on the 'Load and Save' icon to see all the songs/videos that are supplied with Music 2000 within the directory called 'Songs'. Move over one of the songs and click to select the track. Click on the load icon and the track will load up. By default, all the elements of a track will load so if a track has both music and video, they will be both be loaded. If you want to load just the music, or even just particular riffs, right click and toggle the track's individual components on or off before loading.

Once the song is loaded, click OK and then select the 'Song Track' option. You will now see the song on the screen. Press the spacebar to start and stop the song. To watch the video as well, go back to the main menu icons, choose 'Video Track' and play the song from there. You will see the video playing in a box on the screen - you can make it fill the whole screen by right clicking and selecting 'Play Full Screen'.

Repeat this process to play any of the demonstration songs.

Creating your own new song
Firstly you need to make sure that you don't have a song or video loaded in. If you have just loaded Music 2000, you will be all right, but if you have loaded in any of the demonstration songs, you will need to clear the music and video. To do this, go to the main menu icons and select the 'Options' menu.
Then select 'Clear All' to delete all music and video so we can start from a blank canvas. Go back to the top menu, and select the main 'Song Track' option.

Making a song is very simple. Right click for a menu to appear. Choose the 'Riff library' option (note that there is a shortcut to this option displayed on screen, which you can use later to save you time. The particular shortcut is F6). Use the scroll bars to move up and down each list of riffs or change the instrument section you are in. If you keep scrolling right you will see there are lots of different sections, split into Beat, Drum n Bass, House, Rock, Techno and Trance.

Press F1 to listen to any of these riffs. Once you've found a riff you like, click on it and you'll be taken back into the main track screen.
Click again to lay down the riff - you're best off putting your new riff onto track 1 (at the top left hand side of the screen). Note that you can put it down as many times as you want. If you make a mistake, press Delete to delete it.

To play the riff, go back to the left hand edge of your song and press Space. When the timer reaches your riffs you will hear them play. Press Space again to stop the track. You can now repeat this process, pressing F6 as a shortcut to go into the library. Try putting a bass-line down first, and then a drumloop underneath it, and then a melody. You're making music!

Music Jam
Music Jam is an almost immediately accessible and fun way of making music that up to 4 players can use at once over a network / via the Internet. You can also play Music Jam on your own - just choose 'Single Player Jam' and Music Jam will start. To loop sounds, simply press Shift and the Function keys. Hold down the number pad keys to play non-looping samples and use the keyboard to play the two pianos provided. To change any sounds, right click. A full explanation is available in the Music Jam section later in this manual.

If you want to jam on-line with other players, go to www.codemasters.com/musicjam where you can meet up with like-minded musicians.

Contents
Back - Installing Music 2000
Forward - Full Manual